using System;
using System.Data;
using System.Collections;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.Common;
using System.Data.SqlClient;
using System.Xml;
using System.Text;

namespace digioz
{
    public interface IDataNonRelational
    {
        void openEntity();
        void closeEntity();
        object GetEntity(int piID);
        object GetEntity(string psEntityName, int piID);
        IEnumerable GetEntity(string psEntityName);        
        bool SaveEntity(object poObject);
        bool DeleteEntity(object poObject);
        bool DeleteEntity(string psEntityName, int piID);
        bool CreateEntity(object poObject);
    }
}

